Bug 1039286 - [abrt] gnucash-2.4.13-5.fc20: gtk_widget_queue_draw: Process /usr/bin/gnucash was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnucash-2.4.13-5.fc20: gtk_widget_queue_draw: Process /usr/bin/gnucash...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: oxygen-gtk2
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:64237cd6c3c70914f2b02ae77c3...
: 1045950 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-07 17:30 UTC by Dr. David Alan Gilbert
Modified: 2015-06-29 13:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:26:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.71 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: core_backtrace (15.29 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: dso_list (19.67 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: environ (1.77 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: maps (94.11 KB, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-12-07 17:30 UTC, Dr. David Alan Gilbert
no flags Details
File: var_log_messages (342 bytes, text/plain)
2013-12-07 17:31 UTC, Dr. David Alan Gilbert
no flags Details

Description Dr. David Alan Gilbert 2013-12-07 17:30:37 UTC
Description of problem:
Not clear how to reproduce.
I think I'd just edited the text of an existing line in an account

(Although looking at the backtrace I wonder if this is oxygen-gtk related?)

Version-Release number of selected component:
gnucash-2.4.13-5.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnucash
crash_function: gtk_widget_queue_draw
executable:     /usr/bin/gnucash
kernel:         3.11.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_queue_draw at gtkwidget.c:3779
 #2 Oxygen::ToolBarStateData::delayedUpdate at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygentoolbarstatedata.cpp:330
 #3 Oxygen::ToolBarStateData::updateState at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygentoolbarstatedata.cpp:176
 #4 Oxygen::ToolBarStateData::childEnterNotifyEvent at /usr/src/debug/oxygen-gtk2-1.4.0/src/animations/oxygentoolbarstatedata.cpp:285
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #10 gtk_widget_event_internal at gtkwidget.c:5017
 #11 gtk_widget_event at gtkwidget.c:4814
 #12 gtk_main_do_event at gtkmain.c:1698
 #18 gtk_main at gtkmain.c:1257
 #19 gnc_ui_start_event_loop at gnc-gnome-utils.c:668

Comment 1 Dr. David Alan Gilbert 2013-12-07 17:30:44 UTC
Created attachment 833918 [details]
File: backtrace

Comment 2 Dr. David Alan Gilbert 2013-12-07 17:30:45 UTC
Created attachment 833919 [details]
File: cgroup

Comment 3 Dr. David Alan Gilbert 2013-12-07 17:30:48 UTC
Created attachment 833920 [details]
File: core_backtrace

Comment 4 Dr. David Alan Gilbert 2013-12-07 17:30:50 UTC
Created attachment 833921 [details]
File: dso_list

Comment 5 Dr. David Alan Gilbert 2013-12-07 17:30:51 UTC
Created attachment 833922 [details]
File: environ

Comment 6 Dr. David Alan Gilbert 2013-12-07 17:30:53 UTC
Created attachment 833923 [details]
File: exploitable

Comment 7 Dr. David Alan Gilbert 2013-12-07 17:30:55 UTC
Created attachment 833924 [details]
File: limits

Comment 8 Dr. David Alan Gilbert 2013-12-07 17:30:57 UTC
Created attachment 833925 [details]
File: maps

Comment 9 Dr. David Alan Gilbert 2013-12-07 17:30:59 UTC
Created attachment 833926 [details]
File: proc_pid_status

Comment 10 Dr. David Alan Gilbert 2013-12-07 17:31:01 UTC
Created attachment 833927 [details]
File: var_log_messages

Comment 11 Bill Nottingham 2013-12-09 17:37:03 UTC
Can you reproduce this error at will? If so, can you try without the oxygen theme?

Comment 12 Dr. David Alan Gilbert 2013-12-15 16:55:02 UTC
No, sorry - it doesn't seem to repeat

Comment 13 Dr. David Alan Gilbert 2014-01-05 16:44:26 UTC
Hmm just hit the same one, as I say not repeatable at will, but does happen.
The backtrace looks the same to me; gtk_widget_queue_draw->Oxygen::ToolBarStateData::delayedUpdate->updateState->childEnterNotifyEvent

Comment 14 Bill Nottingham 2014-01-06 19:17:09 UTC
*** Bug 1045950 has been marked as a duplicate of this bug. ***

Comment 15 Bill Nottingham 2014-01-06 19:19:41 UTC
CC'ing oxygen-gtk2 maintainers.

Comment 16 nucleo 2014-01-06 19:22:43 UTC
Is it crashes with oxygen-gtk2-1.4.1 ?

Comment 17 Fedora Admin XMLRPC Client 2014-03-05 16:46:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Dr. David Alan Gilbert 2014-03-15 23:30:15 UTC
I'll give it a go with the newer oxygen, but since it's only does it ever month or two I'm not sure I could be sure either way,

Comment 19 Bill Nottingham 2015-01-09 02:44:11 UTC
Moving to oxygen-gtk2, in any case - the crash is in that component.

Comment 20 nucleo 2015-01-09 02:48:17 UTC
Current oxygen-gtk2 version 1.4.6
https://admin.fedoraproject.org/updates/FEDORA-2014-13566
Is it still crashes?

Comment 21 Dr. David Alan Gilbert 2015-04-06 14:36:00 UTC
I haven't seen a crash in quite a while now.
Also, I'm now moving over to xfce and thus away from oxygen-gtk so probably can't sensibly test.

Comment 22 Fedora End Of Life 2015-05-29 09:56:38 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora End Of Life 2015-06-29 13:26:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.